# ApplicationFramework
PTKernel
PShort

# PShort_FieldOfHArray2OfShortReal Class Reference

`#include <PShort_FieldOfHArray2OfShortReal.hxx>`

Inheritance diagram for PShort_FieldOfHArray2OfShortReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PShort_FieldOfHArray2OfShortReal ()
Standard_EXPORT | PShort_FieldOfHArray2OfShortReal (const Standard_Integer Size)
Standard_EXPORT | PShort_FieldOfHArray2OfShortReal (const PShort_FieldOfHArray2OfShortReal &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PShort_FieldOfHArray2OfShortReal &Other)
void | operator= (const PShort_FieldOfHArray2OfShortReal &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_ShortReal &Value)
Standard_EXPORT Standard_ShortReal & | Value (const Standard_Integer Index) const
Standard_ShortReal & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PShort_FieldOfHArray2OfShortReal ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PShort_FieldOfHArray2OfShortReal_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PShort_FieldOfHArray2OfShortReal::PShort_FieldOfHArray2OfShortReal | ( |  | ) |

Standard_EXPORT PShort_FieldOfHArray2OfShortReal::PShort_FieldOfHArray2OfShortReal | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PShort_FieldOfHArray2OfShortReal::PShort_FieldOfHArray2OfShortReal | ( | const PShort_FieldOfHArray2OfShortReal & | Varray | ) |

PShort_FieldOfHArray2OfShortReal::~PShort_FieldOfHArray2OfShortReal | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PShort_FieldOfHArray2OfShortReal::Assign | ( | const PShort_FieldOfHArray2OfShortReal & | Other | ) |

Standard_EXPORT void PShort_FieldOfHArray2OfShortReal::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PShort_FieldOfHArray2OfShortReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PShort_FieldOfHArray2OfShortReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PShort_FieldOfHArray2OfShortReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Standard_ShortReal& PShort_FieldOfHArray2OfShortReal::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PShort_FieldOfHArray2OfShortReal::operator= | ( | const PShort_FieldOfHArray2OfShortReal & | Other | ) | `[inline]`

Standard_EXPORT void PShort_FieldOfHArray2OfShortReal::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PShort_FieldOfHArray2OfShortReal::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_ShortReal & | Value
| ) |

Standard_EXPORT Standard_ShortReal& PShort_FieldOfHArray2OfShortReal::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PShort_FieldOfHArray2OfShortReal_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PShort_FieldOfHArray2OfShortReal.hxx